summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ml/ocamlgraph/ocamlgraph-1.8.8-r2.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/dev-ml/ocamlgraph/ocamlgraph-1.8.8-r2.ebuild b/dev-ml/ocamlgraph/ocamlgraph-1.8.8-r2.ebuild
index a395027a55f..feae626b35f 100644
--- a/dev-ml/ocamlgraph/ocamlgraph-1.8.8-r2.ebuild
+++ b/dev-ml/ocamlgraph/ocamlgraph-1.8.8-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -21,6 +21,14 @@ RDEPEND="
DEPEND="${RDEPEND}"
BDEPEND="doc? ( dev-tex/hevea dev-ml/ocamlweb )"
+src_configure() {
+ sed -i \
+ -e "s:@LABLGNOMECANVAS@:$(usex gtk):g" \
+ Makefile.in || die
+
+ default
+}
+
src_compile() {
emake byte
use ocamlopt && emake opt